summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-chemistry/rasmol
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-chemistry/rasmol')
-rw-r--r--sci-chemistry/rasmol/Manifest1
-rw-r--r--sci-chemistry/rasmol/files/2.7.5-bundled-lib.patch80
-rw-r--r--sci-chemistry/rasmol/files/rasmol-2.7.5.2-format-security.patch39
-rw-r--r--sci-chemistry/rasmol/files/rasmol-2.7.5.2-glib.h.patch31
-rw-r--r--sci-chemistry/rasmol/files/rasmol-2.7.5.2-longlong.patch12
-rw-r--r--sci-chemistry/rasmol/metadata.xml8
-rw-r--r--sci-chemistry/rasmol/rasmol-2.7.5.2-r2.ebuild107
7 files changed, 278 insertions, 0 deletions
diff --git a/sci-chemistry/rasmol/Manifest b/sci-chemistry/rasmol/Manifest
new file mode 100644
index 00000000000..7a21a40c5d2
--- /dev/null
+++ b/sci-chemistry/rasmol/Manifest
@@ -0,0 +1 @@
+DIST rasmol-2.7.5.2-13May11.tar.gz 9768769 SHA256 b975e6e69d5c6b161a81f04840945d2f220ac626245c61bcc6c56181b73a5718 SHA512 c4fd149c002a34d8ce7620a7eed37aa6020acd83fc352a4c16697eb94e6a0377c55455cb6da5fb3f492f879248a6707f677f4b35572f2295b23fc924ddf3128f WHIRLPOOL 261c5351e32a67807d2979b73fbdf83b947aa641568c08fd2f2b0e06115330541a56f7bbd8f05313c86554c321e59cfe11bf5ee613c09249b9e149411c61d5ca
diff --git a/sci-chemistry/rasmol/files/2.7.5-bundled-lib.patch b/sci-chemistry/rasmol/files/2.7.5-bundled-lib.patch
new file mode 100644
index 00000000000..10705165ad4
--- /dev/null
+++ b/sci-chemistry/rasmol/files/2.7.5-bundled-lib.patch
@@ -0,0 +1,80 @@
+diff --git a/src/Imakefile b/src/Imakefile
+index 03be00e..a0c68f9 100755
+--- a/src/Imakefile
++++ b/src/Imakefile
+@@ -176,7 +176,7 @@ XFORMSLIB_DIR = /usr/local
+ #endif
+ endif
+ XFORMSLIB_INCLUDE_DIR = $(XFORMSLIB_DIR)/include
+-XFORMSLIB_LDLIB = -lXpm -L$(XFORMSLIB_DIR)/lib -lforms
++XFORMSLIB_LDLIB = -lXpm -L$(XFORMSLIB_DIR)/lib
+ #endif
+ #endif
+ #endif
+@@ -281,17 +281,10 @@ RASMOLDIR = $(USRLIBDIR)/rasmol/
+
+ #ifndef USE_XFORMSLIB
+ DEFINES = $(GTKCFLAGS) $(GUIDEF) -DRASMOLDIR=\"$(RASMOLDIR)\" $(DEPTHDEF) $(LOCALEDEF) \
+- -D_USE_RASMOL_H_ $(GUIOPTION) -I$(CBFLIB_INCLUDE_DIR) \
+- -I$(CQRLIB_INCLUDE_DIR) \
+- -I$(CVECTOR_INCLUDE_DIR) \
+- -I$(NEARTREE_INCLUDE_DIR)
++ -D_USE_RASMOL_H_ $(GUIOPTION) -I@GENTOO_PORTAGE_EPREFIX@/usr/include -I@GENTOO_PORTAGE_EPREFIX@/usr/include/cbflib
+ #else
+ DEFINES = $(GTKCFLAGS) $(GUIDEF) -DRASMOLDIR=\"$(RASMOLDIR)\" $(DEPTHDEF) $(LOCALEDEF) \
+- -D_USE_RASMOL_H_ $(GUIOPTION) -I$(CBFLIB_INCLUDE_DIR) \
+- -I$(CQRLIB_INCLUDE_DIR) \
+- -I$(CVECTOR_INCLUDE_DIR) \
+- -I$(NEARTREE_INCLUDE_DIR) \
+- -I$(XFORMSLIB_INCLUDE_DIR)
++ -D_USE_RASMOL_H_ $(GUIOPTION) -I@GENTOO_PORTAGE_EPREFIX@/usr/include -I@GENTOO_PORTAGE_EPREFIX@/usr/include/cbflib
+ #endif
+
+
+@@ -317,11 +310,11 @@ OBJS = rasmol.o molecule.o abstree.o cmndline.o command.o transfor.o \
+ # Additional RS6000 AIX MITSHM Library
+ # LDLIBS = -lm -lXi -lXextSam $(XLIB)
+
+-LDLIBS = -lm -lXi $(XLIB) $(EXTRA_LIBRARIES) $(XFORMSLIB) $(GTKLIBS) \
+- $(CBFLIB_LDLIB) \
+- $(CQRLIB_LDLIB) \
+- $(CVECTOR_LDLIB) \
+- $(NEARTREE_LDLIB) $(XFORMSLIB_LDLIB)
++LDLIBS = -lm -lXi $(XLIB) $(EXTRA_LIBRARIES) $(GTKLIBS) \
++ -lcbf \
++ -lCQRlib \
++ -lCVector \
++ -lCNearTree -lgfortran
+
+
+ #
+@@ -425,11 +418,11 @@ $(NEARTREE_DIR):
+ $(NEARTREE_DIR)/CNearTree.c: $(NEARTREE_DIR)
+ #endif
+
+-$(OBJS): $(EXTPKGDIR) $(CBFLIB_OBJDEP) \
+- $(CQRLIB_OBJDEP) \
+- $(CVECTOR_OBJDEP) \
+- $(NEARTREE_OBJDEP) \
+- $(XFORMSLIB_OBJDEP)
++# $(OBJS): $(EXTPKGDIR) $(CBFLIB_OBJDEP) \
++# $(CQRLIB_OBJDEP) \
++# $(CVECTOR_OBJDEP) \
++# $(NEARTREE_OBJDEP) \
++# $(XFORMSLIB_OBJDEP)
+
+
+ gtkwin.c: gtkui.h
+diff --git a/src/Makefile.in b/src/Makefile.in
+index fc6d0af..bad90fc 100755
+--- a/src/Makefile.in
++++ b/src/Makefile.in
+@@ -165,7 +165,7 @@ $(CBFLIBDIR)/lib/libcbf.a: $(CBFLIBDIR)
+
+ all: postdownload rasmol rastxt
+
+-rasmol: postdownload $(X11OBJS) $(CBFLIBDIR)/lib/libcbf.a
++rasmol: postdownload $(X11OBJS)
+ $(CC) -o rasmol $(LFLAGS) $(X11OBJS) $(X11LIBS)
+ chmod 755 rasmol
+
diff --git a/sci-chemistry/rasmol/files/rasmol-2.7.5.2-format-security.patch b/sci-chemistry/rasmol/files/rasmol-2.7.5.2-format-security.patch
new file mode 100644
index 00000000000..22eb229d8a3
--- /dev/null
+++ b/sci-chemistry/rasmol/files/rasmol-2.7.5.2-format-security.patch
@@ -0,0 +1,39 @@
+diff -urp RasMol-2.7.5.2/src/command.c RasMol-2.7.5.2_sprintf/src/command.c
+--- RasMol-2.7.5.2/src/command.c 2011-05-15 01:23:49.000000000 +0700
++++ RasMol-2.7.5.2_sprintf/src/command.c 2014-02-12 18:02:24.633489549 +0700
+@@ -1286,7 +1286,7 @@ void ShowRecordCommand( void ) {
+ if (record_on[1]) WriteString("record appearance on\n");
+ else WriteString("record apperance off\n");
+ if (RecordMaxMS == 1.) {
+- sprintf(param,RecordTemplate);
++ sprintf(param, "%s", RecordTemplate);
+ } else{
+ sprintf(param,RecordTemplate,millisec<0?0:millisec);
+ }
+@@ -1381,7 +1381,7 @@ void ShowPlayCommand( void ) {
+ WriteString(param);
+ }
+ if (PlayMaxMS == 1.) {
+- sprintf(param,PlayTemplate);
++ sprintf(param, "%s", PlayTemplate);
+ } else{
+ sprintf(param,PlayTemplate,millisec<0?0:millisec);
+ }
+@@ -1469,7 +1469,7 @@ void WriteMovieFrame( void ) {
+ RecordPause = True;
+ } else {
+ if (RecordMaxMS == 1.) {
+- sprintf(param,RecordTemplate);
++ sprintf(param, "%s", RecordTemplate);
+ } else{
+ sprintf(param,RecordTemplate,millisec);
+ }
+@@ -1505,7 +1505,7 @@ static int PlayMovieFrame( void ) {
+ for (play_frame[1] = 0;play_frame[1]<=millisec; play_frame[1]++)
+ {
+ if (RecordMaxMS == 1.) {
+- sprintf(param,PlayTemplate);
++ sprintf(param, "%s", PlayTemplate);
+ } else{
+ sprintf(param,PlayTemplate,millisec-play_frame[1]);
+ }
diff --git a/sci-chemistry/rasmol/files/rasmol-2.7.5.2-glib.h.patch b/sci-chemistry/rasmol/files/rasmol-2.7.5.2-glib.h.patch
new file mode 100644
index 00000000000..69c19dae5e8
--- /dev/null
+++ b/sci-chemistry/rasmol/files/rasmol-2.7.5.2-glib.h.patch
@@ -0,0 +1,31 @@
+ src/egg-macros.h | 3 ++-
+ src/eggfileformatchooser.c | 2 ++
+ 2 files changed, 4 insertions(+), 1 deletions(-)
+
+diff --git a/src/egg-macros.h b/src/egg-macros.h
+index 9a7caad..1a6bce0 100644
+--- a/src/egg-macros.h
++++ b/src/egg-macros.h
+@@ -9,7 +9,8 @@
+ #ifndef _EGG_MACROS_H_
+ #define _EGG_MACROS_H_
+
+-#include <glib/gmacros.h>
++#include <glib.h>
++#include <glib/gprintf.h>
+
+ G_BEGIN_DECLS
+
+diff --git a/src/eggfileformatchooser.c b/src/eggfileformatchooser.c
+index 32ce2ab..febfc2e 100644
+--- a/src/eggfileformatchooser.c
++++ b/src/eggfileformatchooser.c
+@@ -19,6 +19,8 @@
+ #include "eggfileformatchooser.h"
+ #include "egg-macros.h"
+
++#include <glib.h>
++#include <glib/gprintf.h>
+ #include <glib/gi18n.h>
+ #include <gtk/gtk.h>
+ #include <string.h>
diff --git a/sci-chemistry/rasmol/files/rasmol-2.7.5.2-longlong.patch b/sci-chemistry/rasmol/files/rasmol-2.7.5.2-longlong.patch
new file mode 100644
index 00000000000..3cff0fa2f98
--- /dev/null
+++ b/sci-chemistry/rasmol/files/rasmol-2.7.5.2-longlong.patch
@@ -0,0 +1,12 @@
+diff -urp rasmol-2.7.5-23Jul09/src/rasmol.h rasmol-2.7.5-23Jul09-64b/src/rasmol.h
+--- rasmol-2.7.5-23Jul09/src/rasmol.h 2009-07-20 21:08:43.000000000 +0700
++++ rasmol-2.7.5-23Jul09-64b/src/rasmol.h 2013-02-22 14:40:00.378574163 +0700
+@@ -125,6 +125,8 @@
+ #define VECTOR_FAR
+ #endif
+
++#define _LONGLONG
++
+ /*========================*/
+ /* Default User Options! */
+ /*========================*/
diff --git a/sci-chemistry/rasmol/metadata.xml b/sci-chemistry/rasmol/metadata.xml
new file mode 100644
index 00000000000..b06ec8f7a2f
--- /dev/null
+++ b/sci-chemistry/rasmol/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-chemistry</herd>
+ <upstream>
+ <remote-id type="sourceforge">openrasmol</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-chemistry/rasmol/rasmol-2.7.5.2-r2.ebuild b/sci-chemistry/rasmol/rasmol-2.7.5.2-r2.ebuild
new file mode 100644
index 00000000000..642a2641fd5
--- /dev/null
+++ b/sci-chemistry/rasmol/rasmol-2.7.5.2-r2.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils fortran-2 multilib prefix toolchain-funcs
+
+MY_P="RasMol_${PV}"
+VERS="13May11"
+
+DESCRIPTION="Molecular Graphics Visualisation Tool"
+HOMEPAGE="http://www.openrasmol.org/"
+#SRC_URI="http://www.rasmol.org/software/${MY_P}.tar.gz"
+SRC_URI="mirror://sourceforge/open${PN}/RasMol/RasMol_2.7.5/${P}-${VERS}.tar.gz"
+#SRC_URI="mirror://sourceforge/open${PN}/RasMol/RasMol_2.7.5/RasMol.tar.gz"
+
+LICENSE="|| ( GPL-2 RASLIC )"
+SLOT="0"
+KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ dev-libs/cvector
+ dev-util/gtk-builder-convert
+ >=sci-libs/cbflib-0.9.2
+ >=sci-libs/cqrlib-1.1.2
+ >=sci-libs/neartree-3.1.1
+ x11-libs/cairo
+ x11-libs/gtk+:2
+ x11-libs/libXext
+ x11-libs/libXi
+ x11-libs/vte:0"
+DEPEND="${RDEPEND}
+ app-text/rman
+ x11-misc/imake
+ x11-proto/inputproto
+ x11-proto/xextproto"
+
+#S="${WORKDIR}/${PN}-2.7.5-${VERS}"
+S="${WORKDIR}/RasMol-${PV}"
+
+src_prepare() {
+ cd src || die
+
+ epatch \
+ "${FILESDIR}"/${P}-glib.h.patch \
+ "${FILESDIR}"/${P}-format-security.patch \
+ "${FILESDIR}"/${P}-longlong.patch
+
+ if use amd64 || use amd64-linux; then
+ mv rasmol.h rasmol_amd64_save.h && \
+ echo "#define _LONGLONG"|cat - rasmol_amd64_save.h > rasmol.h
+ fi
+
+ sed \
+ -e 's:-traditional::g' \
+ -i Makefile* || die
+
+ cat > Imakefile <<- EOF
+ #define PIXELDEPTH 32
+ #define GTKWIN
+ EOF
+
+ cat Imakefile_base >> Imakefile || die
+ epatch "${FILESDIR}"/2.7.5-bundled-lib.patch
+
+ eprefixify Imakefile
+
+ sed \
+ -e 's:vector.c:v_ector.c:g' \
+ -e 's:vector.o:v_ector.o:g' \
+ -e 's:vector.h:v_ector.h:g' \
+ -i *akefile* || die
+
+ sed \
+ -e 's:vector.h:v_ector.h:g' \
+ -i *.c *.h || die
+
+ mv vector.c v_ector.c || die
+ mv vector.h v_ector.h || die
+
+ xmkmf -DGTKWIN || die "xmkmf failed with ${myconf}"
+}
+
+src_compile() {
+ emake -C src clean
+ emake \
+ -C src \
+ DEPTHDEF=-DTHIRTYTWOBIT \
+ CC="$(tc-getCC)" \
+ CDEBUGFLAGS="${CFLAGS}" \
+ EXTRA_LDOPTIONS="${LDFLAGS}"
+}
+
+src_install () {
+ libdir=$(get_libdir)
+ insinto /usr/${libdir}/${PN}
+ doins doc/rasmol.hlp
+ dobin src/rasmol
+ dodoc PROJECTS {README,TODO}.txt doc/*.{ps,pdf}.gz doc/rasmol.txt.gz
+ doman doc/rasmol.1
+ insinto /usr/${libdir}/${PN}/databases
+ doins data/*
+
+ dohtml -r *html doc/*.html html_graphics
+}